import { IsMilitaryTime, IsInt, Min, Max } from 'class-validator';

export class ScheduleItemDto {
  @IsInt()
  @Min(0)
  @Max(6)
  day: number;

  @IsMilitaryTime()
  time: string;

  @IsInt()
  margin: number;
}
